%define upstream_name    Net-MySQL
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pure Perl MySQL network protocol interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
Net::MySQL is a Pure Perl client interface for the MySQL database. This
module implements network protocol between server and client of MySQL, thus
you don't need external MySQL client library like libmysqlclient for this
module to work. It means this module enables you to connect to MySQL server
from some operation systems which MySQL is not ported. How nifty!

Since this module's final goal is to completely replace DBD::mysql, API is
made similar to that of DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/Net

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 750605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 685688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513503
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 165526
- update to 0.11

* Thu Nov 03 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 162244
- update to 0.10

  + takashi <takashi>
    - update to 0.10

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 32247
- mageia rebuild
- imported package perl-Net-MySQL


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 404098
- rebuild using %%perl_convert_version

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
+ Revision: 232244
- import perl-Net-MySQL


* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.0
- initial mdv release, generated with cpan2dist


